/*
 * This is the MIT license, see also http://www.opensource.org/licenses/mit-license.html
 *
 * Copyright (c) 2001 Brian Pitcher
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

// $Header: /Users/cpa/cvsroot/weblech-0.0.3-AJ/src/weblech/util/Logger.java,v 1.1 2010/08/16 15:56:52 cpa Exp $

package weblech.util;

import org.apache.log4j.Category;

public class Logger
{
    // Category for logging to
    protected static final Category _logClass = Category.getInstance("WebLech");

    // Make sure the Log4j system is initialised
    static
    {
        try
        {
            Class.forName("weblech.util.Log4j");
        }
        catch(ClassNotFoundException cnfe)
        {
            System.err.println("Class not found exception: " + cnfe.getMessage());
            cnfe.printStackTrace();
        }
    }

} // End class Logger
