package weblech.spider;

import java.net.URL;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.HashSet;

// This class encapsulates a field and a few associated methods that were pulled from
// the Spider class, to simulate the fact that this field should be in its own atomic set.
public class UDorSWrapper {
	/*atomicset(U)*/
	
	private SpiderConfig config;
	
    /**
     * Set of URLs downloaded or scheduled, so we don't download a
     * URL more than once.
     * Thread safety: To access the set, first synchronize on it.
     */
    /*atomic(U)*/ private Set urlsDownloadedOrScheduled;

    public UDorSWrapper(SpiderConfig config) { 
    	this.config = config;
    	urlsDownloadedOrScheduled = new HashSet();
    }
    
	//TODD: Extracted from run()
	public void scheduleURL(URLToDownload nextURL, int newDepth, int maxDepth,
			ArrayList u2dsToQueue, URL u) {
		// synchronized(urlsDownloadedOrScheduled)
		{
		    if(!urlsDownloadedOrScheduled.contains(u)
		    && (maxDepth == 0 || newDepth <= maxDepth))
		    {
		        u2dsToQueue.add(new URLToDownload(u, nextURL.getURL(), newDepth));
		        urlsDownloadedOrScheduled.add(u);
		    }
		}
	}
	
    // TODD: Changed from private to public
    public List filterURLs(List URLs)
    {
        String match = config.getURLMatch();
        ArrayList retVal = new ArrayList();

        // synchronized(urlsDownloadedOrScheduled)
        {
            for(Iterator i = URLs.iterator(); i.hasNext(); )
            {
                URL u = (URL) i.next();
                if(urlsDownloadedOrScheduled.contains(u))
                {
                    continue;
                }

                String s = u.toExternalForm();
                if(s.indexOf(match) != -1)
                {
                    retVal.add(u);
                }
            }
        }
        return retVal;
    }
    
}
